Schedules
List schedules
GET /v1/schedules: List schedules
GET /v1/schedules
| Operation id | listSchedules |
| Key scope | read: every key |
| Section | Schedules |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer | ≥ 1 · ≤ 100 · default 25 | |
cursor | query | string | min length 1 | |
status | query | "active", "paused" | ||
program | query | string | min length 1 |
#Example request
curl -X GET "https://api.kaab.ist/v1/schedules" \
-H "Authorization: Bearer $KAAB_API_KEY"
#Responses
#200
Schedule page
| Field | Type | Required | Description |
|---|---|---|---|
data | Schedule | yes | |
next_cursor | string or null | yes |
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 403 | The key's scope does not cover this operation |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |